View Issue Details

IDProjectCategoryView StatusLast Update
0001884DrawingBugpublic2014-12-31 12:30
Reportermghansen256 Assigned Towmayer  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformLinux KubuntuOSOS Version
Product Version0.14 
Target VersionFixed in Version 
Summary0001884: Crash when double-clicking on Clip element with drawing page closed
DescriptionCrash occurs as described below, backtrace is attached.
Steps To Reproduce1. Start FreeCAD
2. Open the architectorial example file
3. Close the drawing view.
4. In the document tree, expand the Page object.
5. Double-click on the Clip element -> crash.
Additional InformationOS: Ubuntu 14.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4343 (Git)
Branch: master
Hash: 16a8965038f59fb7dc7d751137dc016999e5728d
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.0
TagsNo tags attached.

Activities

mghansen256

2014-12-29 22:16

reporter  

freecad-2014-12-29-clip-crash.txt (5,283 bytes)
(gdb) run
Starting program: /usr/lib/freecad/bin/FreeCAD 
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
FreeCAD 0.15, Libs: 0.15R4343 (Git)
© Juergen Riegel, Werner Mayer, Yorik van Havre 2001-2014
  #####                 ####  ###   ####  
  #                    #      # #   #   # 
  #     ##  #### ####  #     #   #  #   # 
  ####  # # #  # #  #  #     #####  #   # 
  #     #   #### ####  #    #     # #   # 
  #     #   #    #     #    #     # #   #  ##  ##  ##
  #     #   #### ####   ### #     # ####   ##  ##  ##

[New Thread 0x7fffdb25e700 (LWP 3995)]
[New Thread 0x7fffd965f700 (LWP 3996)]
[New Thread 0x7fffd1fbf700 (LWP 3997)]
[New Thread 0x7fff916bc700 (LWP 3998)]
[New Thread 0x7fff9087d700 (LWP 3999)]
[New Thread 0x7fff8aedb700 (LWP 4000)]
[New Thread 0x7fff8a6da700 (LWP 4001)]
[New Thread 0x7fff89cbe700 (LWP 4002)]
[New Thread 0x7fff88d6a700 (LWP 4003)]
[New Thread 0x7fff73fff700 (LWP 4004)]

Program received signal SIGSEGV, Segmentation fault.
App::PropertyFileIncluded::getValue (this=0x80) at /c/temp/src/freecad/src/App/PropertyFile.cpp:236
236          return _cValue.c_str();
(gdb) bt
#0  App::PropertyFileIncluded::getValue (this=0x80) at /c/temp/src/freecad/src/App/PropertyFile.cpp:236
#1  0x00007fff6824df24 in DrawingGui::ViewProviderDrawingPage::doubleClicked (this=0x2342340)
    at /c/temp/src/freecad/src/Mod/Drawing/Gui/ViewProviderPage.cpp:134
#2  0x00007ffff7661555 in Gui::TreeWidget::mouseDoubleClickEvent (this=0xa26940, event=0x7fffffffc950)
    at /c/temp/src/freecad/src/Gui/Tree.cpp:359
#3  0x00007ffff5bac639 in QWidget::event (this=0x80, this@entry=0xa26940, event=0x0, event@entry=0x7fffffffc950)
    at kernel/qwidget.cpp:8393
#4  0x00007ffff5f559fe in QFrame::event (this=0xa26940, e=0x7fffffffc950) at widgets/qframe.cpp:557
#5  0x00007ffff60648b3 in QAbstractItemView::viewportEvent (this=this@entry=0xa26940, 
    event=event@entry=0x7fffffffc950) at itemviews/qabstractitemview.cpp:1644
#6  0x00007ffff60a4870 in QTreeView::viewportEvent (this=0xa26940, event=0x7fffffffc950)
    at itemviews/qtreeview.cpp:1252
#7  0x00007ffff53e79d6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=this@entry=0x784230, 
    receiver=receiver@entry=0xa21890, event=event@entry=0x7fffffffc950) at kernel/qcoreapplication.cpp:1063
#8  0x00007ffff5b5c0fc in QApplicationPrivate::notify_helper (this=this@entry=0x784230, 
    receiver=receiver@entry=0xa21890, e=e@entry=0x7fffffffc950) at kernel/qapplication.cpp:4566
#9  0x00007ffff5b629be in QApplication::notify (this=this@entry=0x7fffffffd4e0, receiver=receiver@entry=0xa21890, 
    e=e@entry=0x7fffffffc950) at kernel/qapplication.cpp:4113
#10 0x00007ffff7540625 in Gui::GUIApplication::notify (this=0x7fffffffd4e0, receiver=0xa21890, event=0x7fffffffc950)
    at /c/temp/src/freecad/src/Gui/Application.cpp:1537
#11 0x00007ffff53e786d in QCoreApplication::notifyInternal (this=0x7fffffffd4e0, receiver=receiver@entry=0xa21890, 
    event=event@entry=0x7fffffffc950) at kernel/qcoreapplication.cpp:953
#12 0x00007ffff5b6207f in sendEvent (event=<optimized out>, receiver=<optimized out>)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#13 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0xa21890, event=event@entry=0x7fffffffc950, 
    alienWidget=alienWidget@entry=0xa21890, nativeWidget=nativeWidget@entry=0x13e8d80, 
    buttonDown=buttonDown@entry=0x7ffff6650578 <qt_button_down>, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3178
#14 0x00007ffff5bd7bde in QETWidget::translateMouseEvent (this=this@entry=0x13e8d80, 
    event=event@entry=0x7fffffffccb0) at kernel/qapplication_x11.cpp:4634
#15 0x00007ffff5bd7477 in QApplication::x11ProcessEvent (this=0x7fffffffd4e0, event=event@entry=0x7fffffffccb0)
    at kernel/qapplication_x11.cpp:3627
#16 0x00007ffff5bff432 in x11EventSourceDispatch (s=0x785800, callback=0x0, user_data=0x0)
    at kernel/qguieventdispatcher_glib.cpp:146
#17 0x00007fffee7e0c5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#18 0x00007fffee7e0f48 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#19 0x00007fffee7e0ffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#20 0x00007ffff5415031 in QEventDispatcherGlib::processEvents (this=0x745ce0, flags=...)
    at kernel/qeventdispatcher_glib.cpp:434
#21 0x00007ffff5bff4e6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...)
    at kernel/qguieventdispatcher_glib.cpp:204
#22 0x00007ffff53e64f1 in QEventLoop::processEvents (this=this@entry=0x7fffffffd090, flags=...)
    at kernel/qeventloop.cpp:149
#23 0x00007ffff53e6805 in QEventLoop::exec (this=this@entry=0x7fffffffd090, flags=...) at kernel/qeventloop.cpp:204
#24 0x00007ffff53ebf67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1225
#25 0x00007ffff5b5a4dc in QApplication::exec () at kernel/qapplication.cpp:3828
#26 0x00007ffff75375cc in Gui::Application::runApplication () at /c/temp/src/freecad/src/Gui/Application.cpp:1807
#27 0x0000000000404278 in main (argc=1, argv=<optimized out>) at /c/temp/src/freecad/src/Main/MainGui.cpp:330
(gdb)

yorik

2014-12-30 03:34

administrator   ~0005470

It actually crashes everytime you double-click the Clip object, no matter if the page viewer is shown or not.

Related Changesets

FreeCAD: master 4d618955

2014-12-31 13:15:33

wmayer

Details Diff
+ fixes 0001884: Crash when double-clicking on Clip element with drawing page closed Affected Issues
0001884
mod - src/Mod/Drawing/App/FeatureClip.h Diff File
mod - src/Mod/Drawing/Gui/AppDrawingGui.cpp Diff File
mod - src/Mod/Drawing/Gui/ViewProviderView.cpp Diff File
mod - src/Mod/Drawing/Gui/ViewProviderView.h Diff File

Issue History

Date Modified Username Field Change
2014-12-29 22:16 mghansen256 New Issue
2014-12-29 22:16 mghansen256 File Added: freecad-2014-12-29-clip-crash.txt
2014-12-30 03:34 yorik Note Added: 0005470
2014-12-30 03:34 yorik Assigned To => yorik
2014-12-30 03:34 yorik Status new => assigned
2014-12-31 12:30 wmayer Changeset attached => FreeCAD Master master 4d618955
2014-12-31 12:30 wmayer Assigned To yorik => wmayer
2014-12-31 12:30 wmayer Status assigned => closed
2014-12-31 12:30 wmayer Resolution open => fixed